%% First we load the matrix for converting rT1/T2 to likeliness
S = load('B20211211_Likeliness_All_20211219.mat');
binVals = S.BinValstart;
Likeliness = S.Likeliness;
Likeliness(isnan(Likeliness)) = 0; %% This is to convert NaN to 0
[startBin, numBins] = size(binVals);

%% Next we load the Nifti file into the system
[fname, dpath, findex] = uigetfile( '*.nii', 'select .nii file');
if (fname == 0)
    return
else
    cd(dpath);
    DATA = load_nii(fname);
    DATA.hdr = load_untouch_header_only(fname);
    LikeImage.hdr = DATA.hdr;
end

LikeImage.img = zeros(size(DATA.img)); %% This is a step to create a new empty image
for i = 1:numBins-1
   % Conversion is done here %
   LikeImage.img(DATA.img>binVals(i) & DATA.img<=binVals(i+1)) = Likeliness(i);
end

%% Saving a newly created image
save_nii(LikeImage, 'LikeImage.nii');
